aboutsummaryrefslogtreecommitdiffstats
path: root/make/deploy-jnlp-webstarttest.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2009-09-14 12:14:00 -0700
committerSven Gothel <[email protected]>2009-09-14 12:14:00 -0700
commitd856ab6dd22f4fcabdc0df9936ce68cd1f68ac55 (patch)
tree6cd322079dd00f3b317a73e2aef0fc6fd06d5db0 /make/deploy-jnlp-webstarttest.sh
parent9fc60d57f6482c147aa544d710f4336b5f94a5b8 (diff)
Add local webstart test deploy scripts
Diffstat (limited to 'make/deploy-jnlp-webstarttest.sh')
-rwxr-xr-xmake/deploy-jnlp-webstarttest.sh71
1 files changed, 71 insertions, 0 deletions
diff --git a/make/deploy-jnlp-webstarttest.sh b/make/deploy-jnlp-webstarttest.sh
new file mode 100755
index 000000000..dd3cb0f1f
--- /dev/null
+++ b/make/deploy-jnlp-webstarttest.sh
@@ -0,0 +1,71 @@
+#! /bin/sh
+
+url=$1
+shift
+
+joglbuilddir=$1
+shift
+
+if [ -z "$url" -o -z "$joglbuilddir" ] ; then
+ echo usage $0 codebase-url jogl-builddir
+ exit 1
+fi
+
+if [ ! -e $joglbuilddir ] ; then
+ echo $joglbuilddir does not exist
+ exit 1
+fi
+
+builddirbase=`basename $joglbuilddir`
+joglroot=`dirname $joglbuilddir`
+gluegenroot=$joglroot/../gluegen
+demosroot=$joglroot/../jogl-demos
+
+jnlpdir_gluegen=$gluegenroot/jnlp-files
+jnlpdir_jogl=$joglroot/jnlp-files
+jnlpdir_demos=$demosroot/jnlp-files
+
+if [ ! -e $jnlpdir_gluegen ] ; then
+ echo $jnlpdir_gluegen does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_jogl ] ; then
+ echo $jnlpdir_jogl does not exist
+ exit 1
+fi
+
+if [ ! -e $jnlpdir_demos ] ; then
+ echo $jnlpdir_demos does not exist
+ exit 1
+fi
+
+wsdir=$joglbuilddir/webstart
+mkdir -p $wsdir
+
+cp -v $jnlpdir_demos/*.html $wsdir
+
+uri_esc=`echo $url | sed 's/\//\\\\\//g'`
+for j in $jnlpdir_gluegen/*.jnlp ; do
+ jb=`basename $j`
+ echo "processing $j to $wsdir/$jb"
+ sed "s/CODEBASE_TAG/$uri_esc/g" \
+ $j > $wsdir/$jb
+done
+
+for j in $jnlpdir_jogl/*.jnlp ; do
+ jb=`basename $j`
+ echo "processing $j to $wsdir/$jb"
+ sed -e "s/JOGL_CODEBASE_TAG/$uri_esc/g" \
+ -e "s/GLUEGEN_CODEBASE_TAG/$uri_esc/g" \
+ $j > $wsdir/$jb
+done
+
+for j in $jnlpdir_demos/*.jnlp ; do
+ jb=`basename $j`
+ echo "processing $j to $wsdir/$jb"
+ sed -e "s/DEMO_CODEBASE_TAG/$uri_esc/g" \
+ -e "s/JOGL_CODEBASE_TAG/$uri_esc/g" \
+ $j > $wsdir/$jb
+done
+